APIReference data

Get an airline

GET
/api/v1/airlines/{id}

Authorization

bearerAuth reference_data.read
headerAuthorizationBearer <API key or OAuth 2.1 access token>

Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.

Scope: reference_data.read

Path Parameters

id*integer

Resource ID.

Range1 <= value

Response Body

Airline.

application/json
  1. response
data*
Example Request
curl -X GET 'https://your-instance.example/api/v1/airlines/1'
Example Response
{  "data": {    "id": 0,    "name": "string",    "icao": "string",    "iata": "string",    "iconPath": "string"  }}